> For the complete documentation index, see [llms.txt](https://docs.fringe.fi/v2-smart-contract-documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.fringe.fi/v2-smart-contract-documentation/priceoracle/priceproviders/uniswapv2/iuniswapv2factory.md).

# IUniswapV2Factory

## Overview

#### License: MIT

```solidity
interface IUniswapV2Factory
```

## Events info

### PairCreated

```solidity
event PairCreated(address indexed token0, address indexed token1, address pair, uint256)
```

## Functions info

### feeTo (0x017e7e58)

```solidity
function feeTo() external view returns (address)
```

### feeToSetter (0x094b7415)

```solidity
function feeToSetter() external view returns (address)
```

### getPair (0xe6a43905)

```solidity
function getPair(
    address tokenA,
    address tokenB
) external view returns (address pair)
```

### allPairs (0x1e3dd18b)

```solidity
function allPairs(uint256) external view returns (address pair)
```

### allPairsLength (0x574f2ba3)

```solidity
function allPairsLength() external view returns (uint256)
```

### createPair (0xc9c65396)

```solidity
function createPair(
    address tokenA,
    address tokenB
) external returns (address pair)
```

### setFeeTo (0xf46901ed)

```solidity
function setFeeTo(address) external
```

### setFeeToSetter (0xa2e74af6)

```solidity
function setFeeToSetter(address) external
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.fringe.fi/v2-smart-contract-documentation/priceoracle/priceproviders/uniswapv2/iuniswapv2factory.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
